DL4J Feedforward Learner (Classification) node not working on version 3.5? (Solved)

This node was working on my projects and now it does not?  I get the error message ....

ERROR DL4J Feedforward Learner (Classification) 3:30:26    Execute failed: Could not initialize class org.nd4j.linalg.factory.Nd4j

I have also tried it at the online Network example at:

knime://EXAMPLES/04_Analytics/14_Deep_Learning/01_DL4J/03_Network_Example_Of_A_Simple_MLP

BUT I just get the same error message below:

ERROR DL4J Feedforward Learner (Classification) 3:30:26    Execute failed: Could not initialize class org.nd4j.linalg.factory.Nd4j

just and update to the previous message .....

If you try to update from Knime 3.4 to 3.5 from within the Knime program the DL4J learner node will not work and you get the error message as mentioned above. 

You have to download the new version of Knime to your computer and then install Knime 3.5 (plus extensions) for the DL4J learner node to work.

Hi tw349,

with 3.5.x we have a new setting in the preference page of DL4J (off heap memory), maybe you have to increase the value there to e.g. 4 or 5 gigabyte?

Sorry for the trouble,

Christian